#/usr/local/bin/tcsh

# Shell script written by 
#   Helge Hess (helge@mdlink.de)
#   MDlink online service center (www.mdlink.de)

foreach i ( `ls text` )
        echo "Processing text/${i} to html/${i}.html"

        echo "<HTML>"            > html/$i.html
        echo "  <HEAD><TITLE>"   >> html/$i.html
        echo "    " $i           >> html/$i.html
        echo "  </TITLE></HEAD>" >> html/$i.html

        echo "  <BODY BGCOLOR=#FFFFFF>" >> html/$i.html
        echo '    <A HREF="../index.html">Objective-C Issues</A>' >> html/$i.html
        echo "    <HR>"  >> html/$i.html
        echo "    <H3>"  >> html/$i.html
        echo "      " $i >> html/$i.html
        echo "    </H3>" >> html/$i.html

        echo "    <TABLE BORDER=0 WIDTH=95%>" >> html/$i.html

        echo "<TR><TD BGCOLOR=#AAAAAA>People ( From: lines )</TD></TR>" >> html/$i.html
        echo "<TR><TD><PRE>"   >> html/$i.html
        cat text/$i | egrep -x 'From:.*' | cut -d: -f2\- | sort | uniq >> html/$i.html
        echo "</PRE></TD></TR>" >> html/$i.html

        echo "<TR><TD BGCOLOR=#AAAAAA>Subjects (" >> html/$i.html
        echo `cat text/$i | grep -x 'Subject:.*'|wc -l` >> html/$i.html
        echo " mails )</TD></TR>"                 >> html/$i.html
        echo "<TR><TD><PRE>"                      >> html/$i.html
        cat text/$i | grep -x 'Subject:.*' | cut -d: -f2\- >> html/$i.html
        echo "</PRE></TD></TR>"                   >> html/$i.html

        echo "<TR><TD BGCOLOR=#AAAAAA>Document</TD></TR>" >> html/$i.html
        echo "<TR><TD><PRE>"    >> html/$i.html
        cat text/$i             >> html/$i.html
        echo "</PRE></TD></TR>" >> html/$i.html

        echo "<TR><TD BGCOLOR=#AAAAAA>Statistics</TD></TR>" >> html/$i.html
        echo "<TR><TD><PRE>" >> html/$i.html
        echo " filename:          " $i >> html/$i.html
        echo " number of mails:   " \
                `cat text/$i|grep -x 'Subject:.*'|wc -l` >> html/$i.html
        echo " number of writers: " \
                `cat text/$i|egrep -x 'From:.*'|sort|uniq|wc -l` >> html/$i.html
        echo " line count:        " `cat text/$i|wc -l` >> html/$i.html
        echo " word count:        " `cat text/$i|wc -w` >> html/$i.html
        echo " character count:   " `cat text/$i|wc -c` >> html/$i.html
        echo "</PRE></TD></TR>" >> html/$i.html

        echo "    </TABLE>" >> html/$i.html
        cat footer.html     >> html/$i.html
        echo "  </BODY>"    >> html/$i.html
        echo "</HTML>"      >> html/$i.html
end
